<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.12.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>kmTimersCommon: X:/kmTimer5Defs.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">kmTimersCommon
   </div>
   <div id="projectbrief">kmTimersCommon library for AVR</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.12.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search',true);
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('km_timer5_defs_8h.html',''); initResizable(true); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle"><div class="title">X:/kmTimer5Defs.h File Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;../kmCommon/kmCommon.h&quot;</code><br />
<code>#include &quot;../kmCpu/kmCpuDefs.h&quot;</code><br />
<code>#include &quot;<a class="el" href="km_timer_defs_8h_source.html">kmTimerDefs.h</a>&quot;</code><br />
</div>
<p><a href="km_timer5_defs_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a7575e04fb3bc5dda79b7cc8ea3362d2b" id="r_a7575e04fb3bc5dda79b7cc8ea3362d2b"><td class="memItemLeft" align="right" valign="top"><a id="a7575e04fb3bc5dda79b7cc8ea3362d2b" name="a7575e04fb3bc5dda79b7cc8ea3362d2b"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>TIMSK5</b></td></tr>
<tr class="separator:a7575e04fb3bc5dda79b7cc8ea3362d2b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ce4fabad869a1120977279cde6d25f9" id="r_a8ce4fabad869a1120977279cde6d25f9"><td class="memItemLeft" align="right" valign="top"><a id="a8ce4fabad869a1120977279cde6d25f9" name="a8ce4fabad869a1120977279cde6d25f9"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>COM5C0</b></td></tr>
<tr class="separator:a8ce4fabad869a1120977279cde6d25f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1790739c5da129d8cffc87fccb82622d" id="r_a1790739c5da129d8cffc87fccb82622d"><td class="memItemLeft" align="right" valign="top"><a id="a1790739c5da129d8cffc87fccb82622d" name="a1790739c5da129d8cffc87fccb82622d"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_CPU_AVR_LAYOUT_100</b></td></tr>
<tr class="separator:a1790739c5da129d8cffc87fccb82622d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad31f26174463f6d367ac218d2e89e419" id="r_ad31f26174463f6d367ac218d2e89e419"><td class="memItemLeft" align="right" valign="top"><a id="ad31f26174463f6d367ac218d2e89e419" name="ad31f26174463f6d367ac218d2e89e419"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TIMER5_BOTTOM</b>&#160;&#160;&#160;<a class="el" href="km_timer_defs_8h.html#a6a4c8cf84fb8cc96685de933f429df9c">KM_TCC_BOTOM</a></td></tr>
<tr class="memdesc:ad31f26174463f6d367ac218d2e89e419"><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines bottom value for Timer5. <br /></td></tr>
<tr class="separator:ad31f26174463f6d367ac218d2e89e419"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31a45dfad82f12fe5ea3c3f1816228e1" id="r_a31a45dfad82f12fe5ea3c3f1816228e1"><td class="memItemLeft" align="right" valign="top"><a id="a31a45dfad82f12fe5ea3c3f1816228e1" name="a31a45dfad82f12fe5ea3c3f1816228e1"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TIMER5_MAX</b>&#160;&#160;&#160;<a class="el" href="km_timer_defs_8h.html#addcf737b04dbddb61c2746df1d48b64f">KM_TCC_TOP_3</a></td></tr>
<tr class="memdesc:a31a45dfad82f12fe5ea3c3f1816228e1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines top value for Timer5. <br /></td></tr>
<tr class="separator:a31a45dfad82f12fe5ea3c3f1816228e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a358307b21ef181018642a1b1fb13a137" id="r_a358307b21ef181018642a1b1fb13a137"><td class="memItemLeft" align="right" valign="top"><a id="a358307b21ef181018642a1b1fb13a137" name="a358307b21ef181018642a1b1fb13a137"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TIMER5_TOP_8_BIT</b>&#160;&#160;&#160;<a class="el" href="km_timer_defs_8h.html#ac3e5a65645a34d1b863e5d5edb18cda3">KM_TCC_TOP_1</a></td></tr>
<tr class="separator:a358307b21ef181018642a1b1fb13a137"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14574028827b3509076a76e1b4e03eb0" id="r_a14574028827b3509076a76e1b4e03eb0"><td class="memItemLeft" align="right" valign="top"><a id="a14574028827b3509076a76e1b4e03eb0" name="a14574028827b3509076a76e1b4e03eb0"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TIMER5_TOP_9_BIT</b>&#160;&#160;&#160;<a class="el" href="km_timer_defs_8h.html#a04f810cdda0a757c02bfe3bfdc3d43b1">KM_TCC_TOP_5</a></td></tr>
<tr class="separator:a14574028827b3509076a76e1b4e03eb0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab8d66523f2be25c406251acc6dc9fdd" id="r_aab8d66523f2be25c406251acc6dc9fdd"><td class="memItemLeft" align="right" valign="top"><a id="aab8d66523f2be25c406251acc6dc9fdd" name="aab8d66523f2be25c406251acc6dc9fdd"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TIMER5_TOP_10_BIT</b>&#160;&#160;&#160;<a class="el" href="km_timer_defs_8h.html#a26a06431ee77d5cb04cc2fe62c3e8ecd">KM_TCC_TOP_4</a></td></tr>
<tr class="separator:aab8d66523f2be25c406251acc6dc9fdd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3858c756e61fda8fedeb535aeed52979" id="r_a3858c756e61fda8fedeb535aeed52979"><td class="memItemLeft" align="right" valign="top"><a id="a3858c756e61fda8fedeb535aeed52979" name="a3858c756e61fda8fedeb535aeed52979"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TIMER5_TOP_16_BIT</b>&#160;&#160;&#160;<a class="el" href="km_timer_defs_8h.html#addcf737b04dbddb61c2746df1d48b64f">KM_TCC_TOP_3</a></td></tr>
<tr class="separator:a3858c756e61fda8fedeb535aeed52979"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8205306f14f3b8bc13a696a4956abcd6" id="r_a8205306f14f3b8bc13a696a4956abcd6"><td class="memItemLeft" align="right" valign="top"><a id="a8205306f14f3b8bc13a696a4956abcd6" name="a8205306f14f3b8bc13a696a4956abcd6"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TIMER5_MID</b>&#160;&#160;&#160;<a class="el" href="km_timer_defs_8h.html#a1c5d0cb0398e739d6de912f0be341688">KM_TCC_MID_3</a></td></tr>
<tr class="memdesc:a8205306f14f3b8bc13a696a4956abcd6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines mid value for Timer5. <br /></td></tr>
<tr class="separator:a8205306f14f3b8bc13a696a4956abcd6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaaa7e7e430130914d720c921a9efe589" id="r_aaaa7e7e430130914d720c921a9efe589"><td class="memItemLeft" align="right" valign="top"><a id="aaaa7e7e430130914d720c921a9efe589" name="aaaa7e7e430130914d720c921a9efe589"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_STOP</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED				)</td></tr>
<tr class="memdesc:aaaa7e7e430130914d720c921a9efe589"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock select of Timer5 - Disabled. <br /></td></tr>
<tr class="separator:aaaa7e7e430130914d720c921a9efe589"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d5fb5250a7187a226710c4b153a300c" id="r_a1d5fb5250a7187a226710c4b153a300c"><td class="memItemLeft" align="right" valign="top"><a id="a1d5fb5250a7187a226710c4b153a300c" name="a1d5fb5250a7187a226710c4b153a300c"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_PRSC_1</b>&#160;&#160;&#160;(						_BV(CS50)	)</td></tr>
<tr class="memdesc:a1d5fb5250a7187a226710c4b153a300c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock select of Timer5 - Prescaler 1 / 1. <br /></td></tr>
<tr class="separator:a1d5fb5250a7187a226710c4b153a300c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6542ebff3cde61be873b4dc6c2f16cd8" id="r_a6542ebff3cde61be873b4dc6c2f16cd8"><td class="memItemLeft" align="right" valign="top"><a id="a6542ebff3cde61be873b4dc6c2f16cd8" name="a6542ebff3cde61be873b4dc6c2f16cd8"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_PRSC_8</b>&#160;&#160;&#160;(			_BV(CS51)				)</td></tr>
<tr class="memdesc:a6542ebff3cde61be873b4dc6c2f16cd8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock select of Timer5 - Prescaler 1 / 8. <br /></td></tr>
<tr class="separator:a6542ebff3cde61be873b4dc6c2f16cd8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a527985d8f8e2f4c0dd25618b1d0a1fe1" id="r_a527985d8f8e2f4c0dd25618b1d0a1fe1"><td class="memItemLeft" align="right" valign="top"><a id="a527985d8f8e2f4c0dd25618b1d0a1fe1" name="a527985d8f8e2f4c0dd25618b1d0a1fe1"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_PRSC_64</b>&#160;&#160;&#160;(				_BV(CS51) |	_BV(CS50)	)</td></tr>
<tr class="memdesc:a527985d8f8e2f4c0dd25618b1d0a1fe1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock select of Timer5 - Prescaler 1 / 64. <br /></td></tr>
<tr class="separator:a527985d8f8e2f4c0dd25618b1d0a1fe1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af606a268a701fb54aea6e3e46c15a269" id="r_af606a268a701fb54aea6e3e46c15a269"><td class="memItemLeft" align="right" valign="top"><a id="af606a268a701fb54aea6e3e46c15a269" name="af606a268a701fb54aea6e3e46c15a269"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_PRSC_256</b>&#160;&#160;&#160;(_BV(CS52)							)</td></tr>
<tr class="memdesc:af606a268a701fb54aea6e3e46c15a269"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock select of Timer5 - Prescaler 1 / 256. <br /></td></tr>
<tr class="separator:af606a268a701fb54aea6e3e46c15a269"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f00fa72c63875835846cb85c7306635" id="r_a9f00fa72c63875835846cb85c7306635"><td class="memItemLeft" align="right" valign="top"><a id="a9f00fa72c63875835846cb85c7306635" name="a9f00fa72c63875835846cb85c7306635"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_PRSC_1024</b>&#160;&#160;&#160;(_BV(CS52) |			_BV(CS50)	)</td></tr>
<tr class="memdesc:a9f00fa72c63875835846cb85c7306635"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock select of Timer5 - Prescaler 1 / 1024. <br /></td></tr>
<tr class="separator:a9f00fa72c63875835846cb85c7306635"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c0cbae4bc7011c7bc27c15592148aa1" id="r_a8c0cbae4bc7011c7bc27c15592148aa1"><td class="memItemLeft" align="right" valign="top"><a id="a8c0cbae4bc7011c7bc27c15592148aa1" name="a8c0cbae4bc7011c7bc27c15592148aa1"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_EXT_T5_FAL</b>&#160;&#160;&#160;(_BV(CS52) |_BV(CS51)				)</td></tr>
<tr class="memdesc:a8c0cbae4bc7011c7bc27c15592148aa1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock select of Timer5 - Enabled on falling signal. <br /></td></tr>
<tr class="separator:a8c0cbae4bc7011c7bc27c15592148aa1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc052e03ee745091a83c0acfeeebaf16" id="r_adc052e03ee745091a83c0acfeeebaf16"><td class="memItemLeft" align="right" valign="top"><a id="adc052e03ee745091a83c0acfeeebaf16" name="adc052e03ee745091a83c0acfeeebaf16"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_EXT_T5_RIS</b>&#160;&#160;&#160;(_BV(CS52) |_BV(CS51) |	_BV(CS50)	)</td></tr>
<tr class="memdesc:adc052e03ee745091a83c0acfeeebaf16"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock select of Timer5 - Enabled on rising signal. <br /></td></tr>
<tr class="separator:adc052e03ee745091a83c0acfeeebaf16"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a444d1c7572740b06773ac634239f1038" id="r_a444d1c7572740b06773ac634239f1038"><td class="memItemLeft" align="right" valign="top"><a id="a444d1c7572740b06773ac634239f1038" name="a444d1c7572740b06773ac634239f1038"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_CS_MASK</b>&#160;&#160;&#160;<a class="el" href="#adc052e03ee745091a83c0acfeeebaf16">KM_TCC5_EXT_T5_RIS</a></td></tr>
<tr class="memdesc:a444d1c7572740b06773ac634239f1038"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prescaler mask for Timer5 (allows to clear prescaler) <br /></td></tr>
<tr class="separator:a444d1c7572740b06773ac634239f1038"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1b500abc2b7be878f1c5ae0f7d0ad76" id="r_ad1b500abc2b7be878f1c5ae0f7d0ad76"><td class="memItemLeft" align="right" valign="top"><a id="ad1b500abc2b7be878f1c5ae0f7d0ad76" name="ad1b500abc2b7be878f1c5ae0f7d0ad76"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_MODE_0_A</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED										)</td></tr>
<tr class="memdesc:ad1b500abc2b7be878f1c5ae0f7d0ad76"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer5 mode 0 (Reg.A) - Normal top value 0xFFFF. <br /></td></tr>
<tr class="separator:ad1b500abc2b7be878f1c5ae0f7d0ad76"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f09251b96adc27c3b2388eb81ac1ad9" id="r_a6f09251b96adc27c3b2388eb81ac1ad9"><td class="memItemLeft" align="right" valign="top"><a id="a6f09251b96adc27c3b2388eb81ac1ad9" name="a6f09251b96adc27c3b2388eb81ac1ad9"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_MODE_0_B</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED										)</td></tr>
<tr class="memdesc:a6f09251b96adc27c3b2388eb81ac1ad9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer5 mode 0 (Reg.B) <br /></td></tr>
<tr class="separator:a6f09251b96adc27c3b2388eb81ac1ad9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae424ada5c95390d3f103c95e96929f77" id="r_ae424ada5c95390d3f103c95e96929f77"><td class="memItemLeft" align="right" valign="top"><a id="ae424ada5c95390d3f103c95e96929f77" name="ae424ada5c95390d3f103c95e96929f77"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_MODE_1_A</b>&#160;&#160;&#160;(												_BV(WGM50)	)</td></tr>
<tr class="memdesc:ae424ada5c95390d3f103c95e96929f77"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer5 mode 1 (Reg.A) - PWM, Phase Correct, 8-bit top value 0x00FF. <br /></td></tr>
<tr class="separator:ae424ada5c95390d3f103c95e96929f77"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a111fff3a62add7fba368cfa0cb9340e5" id="r_a111fff3a62add7fba368cfa0cb9340e5"><td class="memItemLeft" align="right" valign="top"><a id="a111fff3a62add7fba368cfa0cb9340e5" name="a111fff3a62add7fba368cfa0cb9340e5"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_MODE_1_B</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED										)</td></tr>
<tr class="memdesc:a111fff3a62add7fba368cfa0cb9340e5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer5 mode 1 (Reg.B) <br /></td></tr>
<tr class="separator:a111fff3a62add7fba368cfa0cb9340e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af14732068e412e60fa741f8060b0a93d" id="r_af14732068e412e60fa741f8060b0a93d"><td class="memItemLeft" align="right" valign="top"><a id="af14732068e412e60fa741f8060b0a93d" name="af14732068e412e60fa741f8060b0a93d"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_MODE_2_A</b>&#160;&#160;&#160;(								_BV(WGM51)					)</td></tr>
<tr class="memdesc:af14732068e412e60fa741f8060b0a93d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer5 mode 2 (Reg.A) - PWM, Phase Correct, 9-bit top value 0x01FF. <br /></td></tr>
<tr class="separator:af14732068e412e60fa741f8060b0a93d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3714d630639432ab7cc7327100c68ef" id="r_ad3714d630639432ab7cc7327100c68ef"><td class="memItemLeft" align="right" valign="top"><a id="ad3714d630639432ab7cc7327100c68ef" name="ad3714d630639432ab7cc7327100c68ef"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_MODE_2_B</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED										)</td></tr>
<tr class="memdesc:ad3714d630639432ab7cc7327100c68ef"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer5 mode 2 (Reg.B) <br /></td></tr>
<tr class="separator:ad3714d630639432ab7cc7327100c68ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab822e3845c3f774bc59c6f3d61df8253" id="r_ab822e3845c3f774bc59c6f3d61df8253"><td class="memItemLeft" align="right" valign="top"><a id="ab822e3845c3f774bc59c6f3d61df8253" name="ab822e3845c3f774bc59c6f3d61df8253"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_MODE_3_A</b>&#160;&#160;&#160;(								_BV(WGM51) |	_BV(WGM50)	)</td></tr>
<tr class="memdesc:ab822e3845c3f774bc59c6f3d61df8253"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer5 mode 3 (Reg.A) - PWM, Phase Correct, 10-bit top value 0x03FF. <br /></td></tr>
<tr class="separator:ab822e3845c3f774bc59c6f3d61df8253"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d0e27ced0f6b3a32d6cef866d09e94c" id="r_a4d0e27ced0f6b3a32d6cef866d09e94c"><td class="memItemLeft" align="right" valign="top"><a id="a4d0e27ced0f6b3a32d6cef866d09e94c" name="a4d0e27ced0f6b3a32d6cef866d09e94c"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_MODE_3_B</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED										)</td></tr>
<tr class="memdesc:a4d0e27ced0f6b3a32d6cef866d09e94c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer5 mode 3 (Reg.B) <br /></td></tr>
<tr class="separator:a4d0e27ced0f6b3a32d6cef866d09e94c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af485c282f747009564681d43d3d3a358" id="r_af485c282f747009564681d43d3d3a358"><td class="memItemLeft" align="right" valign="top"><a id="af485c282f747009564681d43d3d3a358" name="af485c282f747009564681d43d3d3a358"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_MODE_4_A</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED										)</td></tr>
<tr class="memdesc:af485c282f747009564681d43d3d3a358"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer5 mode 4 (Reg.A) - CTC with OCR3A as top. <br /></td></tr>
<tr class="separator:af485c282f747009564681d43d3d3a358"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa1279baf867727a262aba06bc4ec559" id="r_aaa1279baf867727a262aba06bc4ec559"><td class="memItemLeft" align="right" valign="top"><a id="aaa1279baf867727a262aba06bc4ec559" name="aaa1279baf867727a262aba06bc4ec559"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_MODE_4_B</b>&#160;&#160;&#160;(				_BV(WGM52)									)</td></tr>
<tr class="memdesc:aaa1279baf867727a262aba06bc4ec559"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer5 mode 4 (Reg.B) <br /></td></tr>
<tr class="separator:aaa1279baf867727a262aba06bc4ec559"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a836ee8cc3eb06e8fbfbc735a07bd07dd" id="r_a836ee8cc3eb06e8fbfbc735a07bd07dd"><td class="memItemLeft" align="right" valign="top"><a id="a836ee8cc3eb06e8fbfbc735a07bd07dd" name="a836ee8cc3eb06e8fbfbc735a07bd07dd"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_MODE_5_A</b>&#160;&#160;&#160;(												_BV(WGM50)	)</td></tr>
<tr class="memdesc:a836ee8cc3eb06e8fbfbc735a07bd07dd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer5 mode 5 (Reg.A) - Fast PWM, 8-bit top value 0x00FF. <br /></td></tr>
<tr class="separator:a836ee8cc3eb06e8fbfbc735a07bd07dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71d55fda4e2da2f4f74e6be5523c23a6" id="r_a71d55fda4e2da2f4f74e6be5523c23a6"><td class="memItemLeft" align="right" valign="top"><a id="a71d55fda4e2da2f4f74e6be5523c23a6" name="a71d55fda4e2da2f4f74e6be5523c23a6"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_MODE_5_B</b>&#160;&#160;&#160;(				_BV(WGM52)									)</td></tr>
<tr class="memdesc:a71d55fda4e2da2f4f74e6be5523c23a6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer5 mode 5 (Reg.B) <br /></td></tr>
<tr class="separator:a71d55fda4e2da2f4f74e6be5523c23a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b23da0e1a2e1cf0d7987a0f638f159d" id="r_a1b23da0e1a2e1cf0d7987a0f638f159d"><td class="memItemLeft" align="right" valign="top"><a id="a1b23da0e1a2e1cf0d7987a0f638f159d" name="a1b23da0e1a2e1cf0d7987a0f638f159d"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_MODE_6_A</b>&#160;&#160;&#160;(								_BV(WGM51)					)</td></tr>
<tr class="memdesc:a1b23da0e1a2e1cf0d7987a0f638f159d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer5 mode 6 (Reg.A) - Fast PWM, 9-bit top value 0x01FF. <br /></td></tr>
<tr class="separator:a1b23da0e1a2e1cf0d7987a0f638f159d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2beced3d7f7958834a58ec67d93a4a6" id="r_ad2beced3d7f7958834a58ec67d93a4a6"><td class="memItemLeft" align="right" valign="top"><a id="ad2beced3d7f7958834a58ec67d93a4a6" name="ad2beced3d7f7958834a58ec67d93a4a6"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_MODE_6_B</b>&#160;&#160;&#160;(				_BV(WGM52)									)</td></tr>
<tr class="memdesc:ad2beced3d7f7958834a58ec67d93a4a6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer5 mode 5 (Reg.B) <br /></td></tr>
<tr class="separator:ad2beced3d7f7958834a58ec67d93a4a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4cc5a71ed1e947cb48e2cad1cabc54ba" id="r_a4cc5a71ed1e947cb48e2cad1cabc54ba"><td class="memItemLeft" align="right" valign="top"><a id="a4cc5a71ed1e947cb48e2cad1cabc54ba" name="a4cc5a71ed1e947cb48e2cad1cabc54ba"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_MODE_7_A</b>&#160;&#160;&#160;(								_BV(WGM51) |	_BV(WGM50)	)</td></tr>
<tr class="memdesc:a4cc5a71ed1e947cb48e2cad1cabc54ba"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer5 mode 7 (Reg.A) - Fast PWM, 10-bit top value 0x03FF. <br /></td></tr>
<tr class="separator:a4cc5a71ed1e947cb48e2cad1cabc54ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af3ce865dc1a4163a944e37104f04962e" id="r_af3ce865dc1a4163a944e37104f04962e"><td class="memItemLeft" align="right" valign="top"><a id="af3ce865dc1a4163a944e37104f04962e" name="af3ce865dc1a4163a944e37104f04962e"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_MODE_7_B</b>&#160;&#160;&#160;(				_BV(WGM52)									)</td></tr>
<tr class="memdesc:af3ce865dc1a4163a944e37104f04962e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer5 mode 7 (Reg.B) <br /></td></tr>
<tr class="separator:af3ce865dc1a4163a944e37104f04962e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:addcdc6eb66f993a0cb5b31f675b0b0be" id="r_addcdc6eb66f993a0cb5b31f675b0b0be"><td class="memItemLeft" align="right" valign="top"><a id="addcdc6eb66f993a0cb5b31f675b0b0be" name="addcdc6eb66f993a0cb5b31f675b0b0be"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_MODE_8_A</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED									)</td></tr>
<tr class="memdesc:addcdc6eb66f993a0cb5b31f675b0b0be"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer5 mode 8 (Reg.A) - PWM, Phase and Frequency Correct with ICR3 as top. <br /></td></tr>
<tr class="separator:addcdc6eb66f993a0cb5b31f675b0b0be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9bd4fbc5ead05acf79b98edd892ec341" id="r_a9bd4fbc5ead05acf79b98edd892ec341"><td class="memItemLeft" align="right" valign="top"><a id="a9bd4fbc5ead05acf79b98edd892ec341" name="a9bd4fbc5ead05acf79b98edd892ec341"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_MODE_8_B</b>&#160;&#160;&#160;(_BV(WGM53)													)</td></tr>
<tr class="memdesc:a9bd4fbc5ead05acf79b98edd892ec341"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer5 mode 8 (Reg.B) <br /></td></tr>
<tr class="separator:a9bd4fbc5ead05acf79b98edd892ec341"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a291996ab336ada31941e1446676e8b3e" id="r_a291996ab336ada31941e1446676e8b3e"><td class="memItemLeft" align="right" valign="top"><a id="a291996ab336ada31941e1446676e8b3e" name="a291996ab336ada31941e1446676e8b3e"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_MODE_9_A</b>&#160;&#160;&#160;(												_BV(WGM50)	)</td></tr>
<tr class="memdesc:a291996ab336ada31941e1446676e8b3e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer5 mode 9 (Reg.A) - PWM, Phase and Frequency Correct with OCR3A as top. <br /></td></tr>
<tr class="separator:a291996ab336ada31941e1446676e8b3e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0a51740c46fd51f3e7eb210d79a0be8" id="r_ac0a51740c46fd51f3e7eb210d79a0be8"><td class="memItemLeft" align="right" valign="top"><a id="ac0a51740c46fd51f3e7eb210d79a0be8" name="ac0a51740c46fd51f3e7eb210d79a0be8"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_MODE_9_B</b>&#160;&#160;&#160;(_BV(WGM53)													)</td></tr>
<tr class="memdesc:ac0a51740c46fd51f3e7eb210d79a0be8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer5 mode 9 (Reg.B) <br /></td></tr>
<tr class="separator:ac0a51740c46fd51f3e7eb210d79a0be8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad323810b4eda51da30d3eb298f99bb55" id="r_ad323810b4eda51da30d3eb298f99bb55"><td class="memItemLeft" align="right" valign="top"><a id="ad323810b4eda51da30d3eb298f99bb55" name="ad323810b4eda51da30d3eb298f99bb55"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_MODE_A_A</b>&#160;&#160;&#160;(								_BV(WGM51)					)</td></tr>
<tr class="memdesc:ad323810b4eda51da30d3eb298f99bb55"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer5 mode 10 (Reg.A) - PWM, Phase Correct with ICR3 as top. <br /></td></tr>
<tr class="separator:ad323810b4eda51da30d3eb298f99bb55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affe7be4c76817a5c1c6fceb2e1b8b0c6" id="r_affe7be4c76817a5c1c6fceb2e1b8b0c6"><td class="memItemLeft" align="right" valign="top"><a id="affe7be4c76817a5c1c6fceb2e1b8b0c6" name="affe7be4c76817a5c1c6fceb2e1b8b0c6"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_MODE_A_B</b>&#160;&#160;&#160;(_BV(WGM53)													)</td></tr>
<tr class="memdesc:affe7be4c76817a5c1c6fceb2e1b8b0c6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer5 mode 10 (Reg.B) <br /></td></tr>
<tr class="separator:affe7be4c76817a5c1c6fceb2e1b8b0c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3bd5c68c9f45735f23e77c385b976a66" id="r_a3bd5c68c9f45735f23e77c385b976a66"><td class="memItemLeft" align="right" valign="top"><a id="a3bd5c68c9f45735f23e77c385b976a66" name="a3bd5c68c9f45735f23e77c385b976a66"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_MODE_B_A</b>&#160;&#160;&#160;(								_BV(WGM51) |	_BV(WGM50)	)</td></tr>
<tr class="memdesc:a3bd5c68c9f45735f23e77c385b976a66"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer5 mode 11 (Reg.A) - PWM, Phase Correct with OCR3A as top. <br /></td></tr>
<tr class="separator:a3bd5c68c9f45735f23e77c385b976a66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add27ec3c95aceea3eac8f8dace35a3c5" id="r_add27ec3c95aceea3eac8f8dace35a3c5"><td class="memItemLeft" align="right" valign="top"><a id="add27ec3c95aceea3eac8f8dace35a3c5" name="add27ec3c95aceea3eac8f8dace35a3c5"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_MODE_B_B</b>&#160;&#160;&#160;(_BV(WGM53)													)</td></tr>
<tr class="memdesc:add27ec3c95aceea3eac8f8dace35a3c5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer5 mode 11 (Reg.B) <br /></td></tr>
<tr class="separator:add27ec3c95aceea3eac8f8dace35a3c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7be35e2f5f0403c72be51b0a8a8f8852" id="r_a7be35e2f5f0403c72be51b0a8a8f8852"><td class="memItemLeft" align="right" valign="top"><a id="a7be35e2f5f0403c72be51b0a8a8f8852" name="a7be35e2f5f0403c72be51b0a8a8f8852"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_MODE_C_A</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED									)</td></tr>
<tr class="memdesc:a7be35e2f5f0403c72be51b0a8a8f8852"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer5 mode 12 (Reg.A) - CTC with ICR3 as top. <br /></td></tr>
<tr class="separator:a7be35e2f5f0403c72be51b0a8a8f8852"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4925d819b049962bd85bb85c7ed59ae" id="r_ad4925d819b049962bd85bb85c7ed59ae"><td class="memItemLeft" align="right" valign="top"><a id="ad4925d819b049962bd85bb85c7ed59ae" name="ad4925d819b049962bd85bb85c7ed59ae"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_MODE_C_B</b>&#160;&#160;&#160;(_BV(WGM53) |	_BV(WGM52)									)</td></tr>
<tr class="memdesc:ad4925d819b049962bd85bb85c7ed59ae"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer5 mode 12 (Reg.B) <br /></td></tr>
<tr class="separator:ad4925d819b049962bd85bb85c7ed59ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf4975627a9e96f81b0c524980860fb4" id="r_acf4975627a9e96f81b0c524980860fb4"><td class="memItemLeft" align="right" valign="top"><a id="acf4975627a9e96f81b0c524980860fb4" name="acf4975627a9e96f81b0c524980860fb4"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_MODE_D_A</b>&#160;&#160;&#160;(												_BV(WGM50)	)</td></tr>
<tr class="memdesc:acf4975627a9e96f81b0c524980860fb4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer5 mode 13 (Reg.A) - Reserved. <br /></td></tr>
<tr class="separator:acf4975627a9e96f81b0c524980860fb4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91e7b13abfdc7065959e81d320d1d2e3" id="r_a91e7b13abfdc7065959e81d320d1d2e3"><td class="memItemLeft" align="right" valign="top"><a id="a91e7b13abfdc7065959e81d320d1d2e3" name="a91e7b13abfdc7065959e81d320d1d2e3"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_MODE_D_B</b>&#160;&#160;&#160;(_BV(WGM53) |	_BV(WGM52)									)</td></tr>
<tr class="memdesc:a91e7b13abfdc7065959e81d320d1d2e3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer5 mode 13 (Reg.B) <br /></td></tr>
<tr class="separator:a91e7b13abfdc7065959e81d320d1d2e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6fe16816f28fdae85f37f45832471e20" id="r_a6fe16816f28fdae85f37f45832471e20"><td class="memItemLeft" align="right" valign="top"><a id="a6fe16816f28fdae85f37f45832471e20" name="a6fe16816f28fdae85f37f45832471e20"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_MODE_E_A</b>&#160;&#160;&#160;(								_BV(WGM51)					)</td></tr>
<tr class="memdesc:a6fe16816f28fdae85f37f45832471e20"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer5 mode 14 (Reg.A) - Fast PWM with ICR3 as top. <br /></td></tr>
<tr class="separator:a6fe16816f28fdae85f37f45832471e20"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a569103f0f883bf071f564c4e9cbabeaa" id="r_a569103f0f883bf071f564c4e9cbabeaa"><td class="memItemLeft" align="right" valign="top"><a id="a569103f0f883bf071f564c4e9cbabeaa" name="a569103f0f883bf071f564c4e9cbabeaa"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_MODE_E_B</b>&#160;&#160;&#160;(_BV(WGM53) |	_BV(WGM52)									)</td></tr>
<tr class="memdesc:a569103f0f883bf071f564c4e9cbabeaa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer5 mode 14 (Reg.B) <br /></td></tr>
<tr class="separator:a569103f0f883bf071f564c4e9cbabeaa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8a8516177b82c0612d94750136f90a1" id="r_ad8a8516177b82c0612d94750136f90a1"><td class="memItemLeft" align="right" valign="top"><a id="ad8a8516177b82c0612d94750136f90a1" name="ad8a8516177b82c0612d94750136f90a1"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_MODE_F_A</b>&#160;&#160;&#160;(								_BV(WGM51) |	_BV(WGM50)	)</td></tr>
<tr class="memdesc:ad8a8516177b82c0612d94750136f90a1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer5 mode 15 (Reg.A) - Fast PWM with OCR3A as top. <br /></td></tr>
<tr class="separator:ad8a8516177b82c0612d94750136f90a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeef4686cb4e106115573f350635fa524" id="r_aeef4686cb4e106115573f350635fa524"><td class="memItemLeft" align="right" valign="top"><a id="aeef4686cb4e106115573f350635fa524" name="aeef4686cb4e106115573f350635fa524"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_MODE_F_B</b>&#160;&#160;&#160;(_BV(WGM53) |	_BV(WGM52)									)</td></tr>
<tr class="memdesc:aeef4686cb4e106115573f350635fa524"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer5 mode 15 (Reg.B) <br /></td></tr>
<tr class="separator:aeef4686cb4e106115573f350635fa524"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21d927ba291d13c683ef27e9227d10a4" id="r_a21d927ba291d13c683ef27e9227d10a4"><td class="memItemLeft" align="right" valign="top"><a id="a21d927ba291d13c683ef27e9227d10a4" name="a21d927ba291d13c683ef27e9227d10a4"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_MODE_MASK_A</b>&#160;&#160;&#160;<a class="el" href="#ad8a8516177b82c0612d94750136f90a1">KM_TCC5_MODE_F_A</a></td></tr>
<tr class="memdesc:a21d927ba291d13c683ef27e9227d10a4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mode mask for Timer5 (reg. A) (helps to clear mode) <br /></td></tr>
<tr class="separator:a21d927ba291d13c683ef27e9227d10a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1894b59bd4ee8fe58348dff2610055cf" id="r_a1894b59bd4ee8fe58348dff2610055cf"><td class="memItemLeft" align="right" valign="top"><a id="a1894b59bd4ee8fe58348dff2610055cf" name="a1894b59bd4ee8fe58348dff2610055cf"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_MODE_MASK_B</b>&#160;&#160;&#160;<a class="el" href="#aeef4686cb4e106115573f350635fa524">KM_TCC5_MODE_F_B</a></td></tr>
<tr class="memdesc:a1894b59bd4ee8fe58348dff2610055cf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mode mask for Timer5 (reg. B) <br /></td></tr>
<tr class="separator:a1894b59bd4ee8fe58348dff2610055cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8023f765d141474d7d13a02be09275d" id="r_ab8023f765d141474d7d13a02be09275d"><td class="memItemLeft" align="right" valign="top"><a id="ab8023f765d141474d7d13a02be09275d" name="ab8023f765d141474d7d13a02be09275d"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_A_COMP_OUT_NONE</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED		)</td></tr>
<tr class="memdesc:ab8023f765d141474d7d13a02be09275d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Normal port operation for compare match. <br /></td></tr>
<tr class="separator:ab8023f765d141474d7d13a02be09275d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68a0b24533f97e9b244532f83df303f9" id="r_a68a0b24533f97e9b244532f83df303f9"><td class="memItemLeft" align="right" valign="top"><a id="a68a0b24533f97e9b244532f83df303f9" name="a68a0b24533f97e9b244532f83df303f9"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_A_COMP_OUT_TOGGLE</b>&#160;&#160;&#160;(				_BV(COM5A0)	)</td></tr>
<tr class="memdesc:a68a0b24533f97e9b244532f83df303f9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Toggle OC1A on compare match. <br /></td></tr>
<tr class="separator:a68a0b24533f97e9b244532f83df303f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aabb49b335bf274e2d719f9a71d3ff3cc" id="r_aabb49b335bf274e2d719f9a71d3ff3cc"><td class="memItemLeft" align="right" valign="top"><a id="aabb49b335bf274e2d719f9a71d3ff3cc" name="aabb49b335bf274e2d719f9a71d3ff3cc"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_A_COMP_OUT_CLEAR</b>&#160;&#160;&#160;(_BV(COM5A1)				)</td></tr>
<tr class="memdesc:aabb49b335bf274e2d719f9a71d3ff3cc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear OC1A on compare match (set output to low level) <br /></td></tr>
<tr class="separator:aabb49b335bf274e2d719f9a71d3ff3cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f9d58b3b547d7528eb5941bd5f159b0" id="r_a1f9d58b3b547d7528eb5941bd5f159b0"><td class="memItemLeft" align="right" valign="top"><a id="a1f9d58b3b547d7528eb5941bd5f159b0" name="a1f9d58b3b547d7528eb5941bd5f159b0"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_A_COMP_OUT_SET</b>&#160;&#160;&#160;(_BV(COM5A1) |	_BV(COM5A0)	)</td></tr>
<tr class="memdesc:a1f9d58b3b547d7528eb5941bd5f159b0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set OC1A on compare match (set output to high level) <br /></td></tr>
<tr class="separator:a1f9d58b3b547d7528eb5941bd5f159b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a799b34b301ee07198309bf426b8152ac" id="r_a799b34b301ee07198309bf426b8152ac"><td class="memItemLeft" align="right" valign="top"><a id="a799b34b301ee07198309bf426b8152ac" name="a799b34b301ee07198309bf426b8152ac"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_COMP_A_MASK</b>&#160;&#160;&#160;<a class="el" href="#a1f9d58b3b547d7528eb5941bd5f159b0">KM_TCC5_A_COMP_OUT_SET</a></td></tr>
<tr class="separator:a799b34b301ee07198309bf426b8152ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b9cc1c64c376518636dbc1836bf78b8" id="r_a6b9cc1c64c376518636dbc1836bf78b8"><td class="memItemLeft" align="right" valign="top"><a id="a6b9cc1c64c376518636dbc1836bf78b8" name="a6b9cc1c64c376518636dbc1836bf78b8"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_B_COMP_OUT_NONE</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED		)</td></tr>
<tr class="memdesc:a6b9cc1c64c376518636dbc1836bf78b8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Normal port operation for compare match. <br /></td></tr>
<tr class="separator:a6b9cc1c64c376518636dbc1836bf78b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf3391d12ee5ee49917b827ad7a8081b" id="r_adf3391d12ee5ee49917b827ad7a8081b"><td class="memItemLeft" align="right" valign="top"><a id="adf3391d12ee5ee49917b827ad7a8081b" name="adf3391d12ee5ee49917b827ad7a8081b"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_B_COMP_OUT_TOGGLE</b>&#160;&#160;&#160;(				_BV(COM5B0)	)</td></tr>
<tr class="memdesc:adf3391d12ee5ee49917b827ad7a8081b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Toggle OC1B on compare match. <br /></td></tr>
<tr class="separator:adf3391d12ee5ee49917b827ad7a8081b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6b5e802e7733f1f3ba3aeb084a31d66" id="r_af6b5e802e7733f1f3ba3aeb084a31d66"><td class="memItemLeft" align="right" valign="top"><a id="af6b5e802e7733f1f3ba3aeb084a31d66" name="af6b5e802e7733f1f3ba3aeb084a31d66"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_B_COMP_OUT_CLEAR</b>&#160;&#160;&#160;(_BV(COM5B1)				)</td></tr>
<tr class="memdesc:af6b5e802e7733f1f3ba3aeb084a31d66"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear OC1B on compare match (set output to low level) <br /></td></tr>
<tr class="separator:af6b5e802e7733f1f3ba3aeb084a31d66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06e7cf8c10ed50450bdc50f0ce9e3c15" id="r_a06e7cf8c10ed50450bdc50f0ce9e3c15"><td class="memItemLeft" align="right" valign="top"><a id="a06e7cf8c10ed50450bdc50f0ce9e3c15" name="a06e7cf8c10ed50450bdc50f0ce9e3c15"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_B_COMP_OUT_SET</b>&#160;&#160;&#160;(_BV(COM5B1) |	_BV(COM5B0)	)</td></tr>
<tr class="memdesc:a06e7cf8c10ed50450bdc50f0ce9e3c15"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set OC1B on compare match (set output to high level) <br /></td></tr>
<tr class="separator:a06e7cf8c10ed50450bdc50f0ce9e3c15"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ab325df14784d77e781ee572a8a5bbb" id="r_a5ab325df14784d77e781ee572a8a5bbb"><td class="memItemLeft" align="right" valign="top"><a id="a5ab325df14784d77e781ee572a8a5bbb" name="a5ab325df14784d77e781ee572a8a5bbb"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_COMP_B_MASK</b>&#160;&#160;&#160;<a class="el" href="#a06e7cf8c10ed50450bdc50f0ce9e3c15">KM_TCC5_B_COMP_OUT_SET</a></td></tr>
<tr class="separator:a5ab325df14784d77e781ee572a8a5bbb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a28fc61f0bdabb11466d602760ab249c2" id="r_a28fc61f0bdabb11466d602760ab249c2"><td class="memItemLeft" align="right" valign="top"><a id="a28fc61f0bdabb11466d602760ab249c2" name="a28fc61f0bdabb11466d602760ab249c2"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_C_COMP_OUT_NONE</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED		)</td></tr>
<tr class="memdesc:a28fc61f0bdabb11466d602760ab249c2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Normal port operation for compare match. <br /></td></tr>
<tr class="separator:a28fc61f0bdabb11466d602760ab249c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b3f738fb76543d05f4330433dbf0a6e" id="r_a5b3f738fb76543d05f4330433dbf0a6e"><td class="memItemLeft" align="right" valign="top"><a id="a5b3f738fb76543d05f4330433dbf0a6e" name="a5b3f738fb76543d05f4330433dbf0a6e"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_C_COMP_OUT_TOGGLE</b>&#160;&#160;&#160;(				_BV(COM5C0)	)</td></tr>
<tr class="memdesc:a5b3f738fb76543d05f4330433dbf0a6e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Toggle OC1B on compare match. <br /></td></tr>
<tr class="separator:a5b3f738fb76543d05f4330433dbf0a6e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b2d18fe790c4d7ed2e01166adbd16d2" id="r_a6b2d18fe790c4d7ed2e01166adbd16d2"><td class="memItemLeft" align="right" valign="top"><a id="a6b2d18fe790c4d7ed2e01166adbd16d2" name="a6b2d18fe790c4d7ed2e01166adbd16d2"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_C_COMP_OUT_CLEAR</b>&#160;&#160;&#160;(_BV(COM5C1)				)</td></tr>
<tr class="memdesc:a6b2d18fe790c4d7ed2e01166adbd16d2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear OC1B on compare match (set output to low level) <br /></td></tr>
<tr class="separator:a6b2d18fe790c4d7ed2e01166adbd16d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa91f3763f5776d518c58486e06309959" id="r_aa91f3763f5776d518c58486e06309959"><td class="memItemLeft" align="right" valign="top"><a id="aa91f3763f5776d518c58486e06309959" name="aa91f3763f5776d518c58486e06309959"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_C_COMP_OUT_SET</b>&#160;&#160;&#160;(_BV(COM5C1) |	_BV(COM5C0)	)</td></tr>
<tr class="memdesc:aa91f3763f5776d518c58486e06309959"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set OC1B on compare match (set output to high level) <br /></td></tr>
<tr class="separator:aa91f3763f5776d518c58486e06309959"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42063414aa2f5af8d287394c7197cccc" id="r_a42063414aa2f5af8d287394c7197cccc"><td class="memItemLeft" align="right" valign="top"><a id="a42063414aa2f5af8d287394c7197cccc" name="a42063414aa2f5af8d287394c7197cccc"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_COMP_C_MASK</b>&#160;&#160;&#160;<a class="el" href="#aa91f3763f5776d518c58486e06309959">KM_TCC5_C_COMP_OUT_SET</a></td></tr>
<tr class="separator:a42063414aa2f5af8d287394c7197cccc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afd388fd8103d2ab7cd920b57066a3ccb" id="r_afd388fd8103d2ab7cd920b57066a3ccb"><td class="memItemLeft" align="right" valign="top"><a id="afd388fd8103d2ab7cd920b57066a3ccb" name="afd388fd8103d2ab7cd920b57066a3ccb"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_A_PWM_COMP_OUT_NORMAL</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED		)</td></tr>
<tr class="memdesc:afd388fd8103d2ab7cd920b57066a3ccb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Normal port operation for compare match, OC3A disconnected. <br /></td></tr>
<tr class="separator:afd388fd8103d2ab7cd920b57066a3ccb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4238c04500ea3b256c7bfcaefd06338" id="r_af4238c04500ea3b256c7bfcaefd06338"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#af4238c04500ea3b256c7bfcaefd06338">KM_TCC5_A_PWM_COMP_OUT_TOGGLE</a>&#160;&#160;&#160;(				_BV(COM5A0)	)</td></tr>
<tr class="separator:af4238c04500ea3b256c7bfcaefd06338"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a365a2dd1da7441c19201ca80768d7480" id="r_a365a2dd1da7441c19201ca80768d7480"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a365a2dd1da7441c19201ca80768d7480">KM_TCC5_A_PWM_COMP_OUT_CLEAR_UP_SET_DOWN</a>&#160;&#160;&#160;(_BV(COM5A1)				)</td></tr>
<tr class="separator:a365a2dd1da7441c19201ca80768d7480"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f93aa921188e032f3e2588e8916d8b5" id="r_a0f93aa921188e032f3e2588e8916d8b5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a0f93aa921188e032f3e2588e8916d8b5">KM_TCC5_A_PWM_COMP_OUT_SET_UP_CLEAR_DOWN</a>&#160;&#160;&#160;(_BV(COM5A1) |	_BV(COM5A0)	)</td></tr>
<tr class="separator:a0f93aa921188e032f3e2588e8916d8b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e9ca602bd5b5ca7d72e5b0cbac9a2a1" id="r_a2e9ca602bd5b5ca7d72e5b0cbac9a2a1"><td class="memItemLeft" align="right" valign="top"><a id="a2e9ca602bd5b5ca7d72e5b0cbac9a2a1" name="a2e9ca602bd5b5ca7d72e5b0cbac9a2a1"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_B_PWM_COMP_OUT_NORMAL</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED		)</td></tr>
<tr class="memdesc:a2e9ca602bd5b5ca7d72e5b0cbac9a2a1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Normal port operation for compare match, OC3B disconnected. <br /></td></tr>
<tr class="separator:a2e9ca602bd5b5ca7d72e5b0cbac9a2a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6fc6b7981912b1e958df718ba9cf89f3" id="r_a6fc6b7981912b1e958df718ba9cf89f3"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a6fc6b7981912b1e958df718ba9cf89f3">KM_TCC5_B_PWM_COMP_OUT_TOGGLE</a>&#160;&#160;&#160;(				_BV(COM5B0)	)</td></tr>
<tr class="separator:a6fc6b7981912b1e958df718ba9cf89f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a306a0d824d6091fc3ea776b29e171d69" id="r_a306a0d824d6091fc3ea776b29e171d69"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a306a0d824d6091fc3ea776b29e171d69">KM_TCC5_B_PWM_COMP_OUT_CLEAR_UP_SET_DOWN</a>&#160;&#160;&#160;(_BV(COM5B1)				)</td></tr>
<tr class="separator:a306a0d824d6091fc3ea776b29e171d69"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8826e6f250fc80780c5bf7ccad100a8e" id="r_a8826e6f250fc80780c5bf7ccad100a8e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a8826e6f250fc80780c5bf7ccad100a8e">KM_TCC5_B_PWM_COMP_OUT_SET_UP_CLEAR_DOWN</a>&#160;&#160;&#160;(_BV(COM5B1) |	_BV(COM5B0)	)</td></tr>
<tr class="separator:a8826e6f250fc80780c5bf7ccad100a8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafc65dd67282857257c733499a82f0aa" id="r_aafc65dd67282857257c733499a82f0aa"><td class="memItemLeft" align="right" valign="top"><a id="aafc65dd67282857257c733499a82f0aa" name="aafc65dd67282857257c733499a82f0aa"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_C_PWM_COMP_OUT_NORMAL</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED		)</td></tr>
<tr class="memdesc:aafc65dd67282857257c733499a82f0aa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Normal port operation for compare match, OC3Cdisconnected. <br /></td></tr>
<tr class="separator:aafc65dd67282857257c733499a82f0aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a445898c4f7169ec04dd6dca2049cb68f" id="r_a445898c4f7169ec04dd6dca2049cb68f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a445898c4f7169ec04dd6dca2049cb68f">KM_TCC5_C_PWM_COMP_OUT_TOGGLE</a>&#160;&#160;&#160;(				_BV(COM5C0)	)</td></tr>
<tr class="separator:a445898c4f7169ec04dd6dca2049cb68f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa5672e18279a439bdd9185a856759c4e" id="r_aa5672e18279a439bdd9185a856759c4e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aa5672e18279a439bdd9185a856759c4e">KM_TCC5_C_PWM_COMP_OUT_CLEAR_UP_SET_DOWN</a>&#160;&#160;&#160;(_BV(COM5C1)				)</td></tr>
<tr class="separator:aa5672e18279a439bdd9185a856759c4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a635f12604661d405d79437e35589b902" id="r_a635f12604661d405d79437e35589b902"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a635f12604661d405d79437e35589b902">KM_TCC5_C_PWM_COMP_OUT_SET_UP_CLEAR_DOWN</a>&#160;&#160;&#160;(_BV(COM5C1) |	_BV(COM5C0)	)</td></tr>
<tr class="separator:a635f12604661d405d79437e35589b902"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f5d9c20ae05a63e0f8bc3653d14245c" id="r_a9f5d9c20ae05a63e0f8bc3653d14245c"><td class="memItemLeft" align="right" valign="top"><a id="a9f5d9c20ae05a63e0f8bc3653d14245c" name="a9f5d9c20ae05a63e0f8bc3653d14245c"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_KM_TCC5_INT_MASK_REG</b>&#160;&#160;&#160;TIMSK5</td></tr>
<tr class="separator:a9f5d9c20ae05a63e0f8bc3653d14245c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8494f79902f93cb245d4965a460c3e09" id="r_a8494f79902f93cb245d4965a460c3e09"><td class="memItemLeft" align="right" valign="top"><a id="a8494f79902f93cb245d4965a460c3e09" name="a8494f79902f93cb245d4965a460c3e09"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_PWM_DDR</b>&#160;&#160;&#160;DDRL</td></tr>
<tr class="memdesc:a8494f79902f93cb245d4965a460c3e09"><td class="mdescLeft">&#160;</td><td class="mdescRight">Direction register o Timer5 PWM outputs. <br /></td></tr>
<tr class="separator:a8494f79902f93cb245d4965a460c3e09"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3832ea71bef703fc768529d98cd8c070" id="r_a3832ea71bef703fc768529d98cd8c070"><td class="memItemLeft" align="right" valign="top"><a id="a3832ea71bef703fc768529d98cd8c070" name="a3832ea71bef703fc768529d98cd8c070"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_PWM_PORT</b>&#160;&#160;&#160;PORTL</td></tr>
<tr class="memdesc:a3832ea71bef703fc768529d98cd8c070"><td class="mdescLeft">&#160;</td><td class="mdescRight">Port register of Timer5 PWM outputs. <br /></td></tr>
<tr class="separator:a3832ea71bef703fc768529d98cd8c070"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02ef7a385d29e8861c8c86e9b49e9896" id="r_a02ef7a385d29e8861c8c86e9b49e9896"><td class="memItemLeft" align="right" valign="top"><a id="a02ef7a385d29e8861c8c86e9b49e9896" name="a02ef7a385d29e8861c8c86e9b49e9896"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_PWM_PIN_A</b>&#160;&#160;&#160;PL3</td></tr>
<tr class="memdesc:a02ef7a385d29e8861c8c86e9b49e9896"><td class="mdescLeft">&#160;</td><td class="mdescRight">PWM pin A of Timer5. <br /></td></tr>
<tr class="separator:a02ef7a385d29e8861c8c86e9b49e9896"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31a5bb7578f2fee158e908db3ede2c9b" id="r_a31a5bb7578f2fee158e908db3ede2c9b"><td class="memItemLeft" align="right" valign="top"><a id="a31a5bb7578f2fee158e908db3ede2c9b" name="a31a5bb7578f2fee158e908db3ede2c9b"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_PWM_PIN_B</b>&#160;&#160;&#160;PL4</td></tr>
<tr class="memdesc:a31a5bb7578f2fee158e908db3ede2c9b"><td class="mdescLeft">&#160;</td><td class="mdescRight">PMW pin B of Timer5. <br /></td></tr>
<tr class="separator:a31a5bb7578f2fee158e908db3ede2c9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a391602c6777924811570919be2aa32" id="r_a3a391602c6777924811570919be2aa32"><td class="memItemLeft" align="right" valign="top"><a id="a3a391602c6777924811570919be2aa32" name="a3a391602c6777924811570919be2aa32"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_PWM_PIN_C</b>&#160;&#160;&#160;PL5</td></tr>
<tr class="memdesc:a3a391602c6777924811570919be2aa32"><td class="mdescLeft">&#160;</td><td class="mdescRight">PMW pin C of Timer5. <br /></td></tr>
<tr class="separator:a3a391602c6777924811570919be2aa32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4551a64243de04983108bd891c68ef23" id="r_a4551a64243de04983108bd891c68ef23"><td class="memItemLeft" align="right" valign="top"><a id="a4551a64243de04983108bd891c68ef23" name="a4551a64243de04983108bd891c68ef23"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_ICP5_PIN</b>&#160;&#160;&#160;PL1</td></tr>
<tr class="memdesc:a4551a64243de04983108bd891c68ef23"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer/Counter5 Input Capture Pin. <br /></td></tr>
<tr class="separator:a4551a64243de04983108bd891c68ef23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a1b623e29f0c468a2f6b2fbd887abe3" id="r_a6a1b623e29f0c468a2f6b2fbd887abe3"><td class="memItemLeft" align="right" valign="top"><a id="a6a1b623e29f0c468a2f6b2fbd887abe3" name="a6a1b623e29f0c468a2f6b2fbd887abe3"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_ICP5_PORT_DDR</b>&#160;&#160;&#160;DDRL</td></tr>
<tr class="memdesc:a6a1b623e29f0c468a2f6b2fbd887abe3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer/Counter5 Input Capture DDR. <br /></td></tr>
<tr class="separator:a6a1b623e29f0c468a2f6b2fbd887abe3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff565804b89b4c551f823937aaa7a4e6" id="r_aff565804b89b4c551f823937aaa7a4e6"><td class="memItemLeft" align="right" valign="top"><a id="aff565804b89b4c551f823937aaa7a4e6" name="aff565804b89b4c551f823937aaa7a4e6"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_ICP5_PORT_OUTPUT</b>&#160;&#160;&#160;PORTL</td></tr>
<tr class="memdesc:aff565804b89b4c551f823937aaa7a4e6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer/Counter5 Input Capture output port. <br /></td></tr>
<tr class="separator:aff565804b89b4c551f823937aaa7a4e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8cc0f9c4f97acc7458abb30c31480ec1" id="r_a8cc0f9c4f97acc7458abb30c31480ec1"><td class="memItemLeft" align="right" valign="top"><a id="a8cc0f9c4f97acc7458abb30c31480ec1" name="a8cc0f9c4f97acc7458abb30c31480ec1"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_ICP5_PORT_INPUT</b>&#160;&#160;&#160;PORTL</td></tr>
<tr class="memdesc:a8cc0f9c4f97acc7458abb30c31480ec1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer/Counter5 Input Capture input port. <br /></td></tr>
<tr class="separator:a8cc0f9c4f97acc7458abb30c31480ec1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac45aeba34ae568371585ace8e1cc4252" id="r_ac45aeba34ae568371585ace8e1cc4252"><td class="memItemLeft" align="right" valign="top"><a id="ac45aeba34ae568371585ace8e1cc4252" name="ac45aeba34ae568371585ace8e1cc4252"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_T5_PIN</b>&#160;&#160;&#160;PL2</td></tr>
<tr class="memdesc:ac45aeba34ae568371585ace8e1cc4252"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer/Counter5 Input Clock input Pin. <br /></td></tr>
<tr class="separator:ac45aeba34ae568371585ace8e1cc4252"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a55f4bef345a866a51880a4497d3fd5a2" id="r_a55f4bef345a866a51880a4497d3fd5a2"><td class="memItemLeft" align="right" valign="top"><a id="a55f4bef345a866a51880a4497d3fd5a2" name="a55f4bef345a866a51880a4497d3fd5a2"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_PWM_BV_A</b>&#160;&#160;&#160;_BV(<a class="el" href="#a02ef7a385d29e8861c8c86e9b49e9896">KM_TCC5_PWM_PIN_A</a>)</td></tr>
<tr class="memdesc:a55f4bef345a866a51880a4497d3fd5a2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Byte value of PWM pin A of Timer5. <br /></td></tr>
<tr class="separator:a55f4bef345a866a51880a4497d3fd5a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac23d5fe14b6ae76817f7760be7f56b35" id="r_ac23d5fe14b6ae76817f7760be7f56b35"><td class="memItemLeft" align="right" valign="top"><a id="ac23d5fe14b6ae76817f7760be7f56b35" name="ac23d5fe14b6ae76817f7760be7f56b35"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_PWM_BV_B</b>&#160;&#160;&#160;_BV(<a class="el" href="#a31a5bb7578f2fee158e908db3ede2c9b">KM_TCC5_PWM_PIN_B</a>)</td></tr>
<tr class="memdesc:ac23d5fe14b6ae76817f7760be7f56b35"><td class="mdescLeft">&#160;</td><td class="mdescRight">Byte value of PWM pin B of Timer5. <br /></td></tr>
<tr class="separator:ac23d5fe14b6ae76817f7760be7f56b35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a829df2c7316a73d87f0d15d8c1c25b3f" id="r_a829df2c7316a73d87f0d15d8c1c25b3f"><td class="memItemLeft" align="right" valign="top"><a id="a829df2c7316a73d87f0d15d8c1c25b3f" name="a829df2c7316a73d87f0d15d8c1c25b3f"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC5_PWM_BV_C</b>&#160;&#160;&#160;_BV(<a class="el" href="#a3a391602c6777924811570919be2aa32">KM_TCC5_PWM_PIN_C</a>)</td></tr>
<tr class="memdesc:a829df2c7316a73d87f0d15d8c1c25b3f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Byte value of PWM pin C of Timer5. <br /></td></tr>
<tr class="separator:a829df2c7316a73d87f0d15d8c1c25b3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p><a class="el" href="km_timer5_defs_8h.html">kmTimer5Defs.h</a></p>
<p><b>Created on</b>: 12/25/2023 7:14:54 PM <br  />
 Author: Krzysztof Moskwa License: GPL-3.0-or-later</p>
<p>Copyright (C) 2023 Krzysztof Moskwa <a class="el" href="km_timer5_defs_8h.html">kmTimer5Defs.h</a> This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.</p>
<p>This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.</p>
<p>You should have received a copy of the GNU General Public License along with this program. If not, see <a href="https://www.gnu.org/licenses/">https://www.gnu.org/licenses/</a>. </p>
</div><h2 class="groupheader">Macro Definition Documentation</h2>
<a id="a365a2dd1da7441c19201ca80768d7480" name="a365a2dd1da7441c19201ca80768d7480"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a365a2dd1da7441c19201ca80768d7480">&#9670;&#160;</a></span>KM_TCC5_A_PWM_COMP_OUT_CLEAR_UP_SET_DOWN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define KM_TCC5_A_PWM_COMP_OUT_CLEAR_UP_SET_DOWN&#160;&#160;&#160;(_BV(COM5A1)				)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Fast PWM: Clear OC3A on Compare Match, set OC3A at BOTTOM (non-inverting mode) <br  />
Phase Accurate PWM: Clear OC3A on Compare Match when up-counting. Set OC3A on <br  />
Compare Match when down-counting. </p>

</div>
</div>
<a id="a0f93aa921188e032f3e2588e8916d8b5" name="a0f93aa921188e032f3e2588e8916d8b5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0f93aa921188e032f3e2588e8916d8b5">&#9670;&#160;</a></span>KM_TCC5_A_PWM_COMP_OUT_SET_UP_CLEAR_DOWN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define KM_TCC5_A_PWM_COMP_OUT_SET_UP_CLEAR_DOWN&#160;&#160;&#160;(_BV(COM5A1) |	_BV(COM5A0)	)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Fast PWM: Set OC3A on Compare Match, clear OC3A at BOTTOM (inverting mode) <br  />
Phase Accurate PWM: Set OC0A on Compare Match when up-counting. Clear OC3A on <br  />
Compare Match when down-counting. </p>

</div>
</div>
<a id="af4238c04500ea3b256c7bfcaefd06338" name="af4238c04500ea3b256c7bfcaefd06338"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af4238c04500ea3b256c7bfcaefd06338">&#9670;&#160;</a></span>KM_TCC5_A_PWM_COMP_OUT_TOGGLE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define KM_TCC5_A_PWM_COMP_OUT_TOGGLE&#160;&#160;&#160;(				_BV(COM5A0)	)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Fast PWM / Phase Accurate PWM <br  />
WGM02 = 0: Normal Port Operation, OC3A Disconnected <br  />
WGM02 = 1: Toggle OC3A on Compare Match </p>

</div>
</div>
<a id="a306a0d824d6091fc3ea776b29e171d69" name="a306a0d824d6091fc3ea776b29e171d69"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a306a0d824d6091fc3ea776b29e171d69">&#9670;&#160;</a></span>KM_TCC5_B_PWM_COMP_OUT_CLEAR_UP_SET_DOWN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define KM_TCC5_B_PWM_COMP_OUT_CLEAR_UP_SET_DOWN&#160;&#160;&#160;(_BV(COM5B1)				)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Fast PWM: Clear OC3B on Compare Match, set OC3B at BOTTOM (non-inverting mode) <br  />
Phase Accurate PWM: Clear OC3B on Compare Match when up-counting. Set OC3B on <br  />
Compare Match when down-counting. </p>

</div>
</div>
<a id="a8826e6f250fc80780c5bf7ccad100a8e" name="a8826e6f250fc80780c5bf7ccad100a8e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8826e6f250fc80780c5bf7ccad100a8e">&#9670;&#160;</a></span>KM_TCC5_B_PWM_COMP_OUT_SET_UP_CLEAR_DOWN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define KM_TCC5_B_PWM_COMP_OUT_SET_UP_CLEAR_DOWN&#160;&#160;&#160;(_BV(COM5B1) |	_BV(COM5B0)	)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Fast PWM: Set OC3B on Compare Match, clear OC3B at BOTTOM (inverting mode) <br  />
Phase Accurate PWM: Set OC3A on Compare Match when up-counting. Clear OC3A on <br  />
Compare Match when down-counting. </p>

</div>
</div>
<a id="a6fc6b7981912b1e958df718ba9cf89f3" name="a6fc6b7981912b1e958df718ba9cf89f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6fc6b7981912b1e958df718ba9cf89f3">&#9670;&#160;</a></span>KM_TCC5_B_PWM_COMP_OUT_TOGGLE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define KM_TCC5_B_PWM_COMP_OUT_TOGGLE&#160;&#160;&#160;(				_BV(COM5B0)	)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Fast PWM / Phase Accurate PWM <br  />
WGM02 = 0: Normal Port Operation, OC3B Disconnected <br  />
WGM02 = 1: Toggle OC3B on Compare Match </p>

</div>
</div>
<a id="aa5672e18279a439bdd9185a856759c4e" name="aa5672e18279a439bdd9185a856759c4e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa5672e18279a439bdd9185a856759c4e">&#9670;&#160;</a></span>KM_TCC5_C_PWM_COMP_OUT_CLEAR_UP_SET_DOWN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define KM_TCC5_C_PWM_COMP_OUT_CLEAR_UP_SET_DOWN&#160;&#160;&#160;(_BV(COM5C1)				)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Fast PWM: Clear OC3C on Compare Match, set OC3c at BOTTOM (non-inverting mode) <br  />
Phase Accurate PWM: Clear OC3C on Compare Match when up-counting. Set OC3C on <br  />
Compare Match when down-counting. </p>

</div>
</div>
<a id="a635f12604661d405d79437e35589b902" name="a635f12604661d405d79437e35589b902"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a635f12604661d405d79437e35589b902">&#9670;&#160;</a></span>KM_TCC5_C_PWM_COMP_OUT_SET_UP_CLEAR_DOWN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define KM_TCC5_C_PWM_COMP_OUT_SET_UP_CLEAR_DOWN&#160;&#160;&#160;(_BV(COM5C1) |	_BV(COM5C0)	)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Fast PWM: Set OC3C on Compare Match, clear OC3C at BOTTOM (inverting mode) <br  />
Phase Accurate PWM: Set OC3C on Compare Match when up-counting. Clear OC3C on <br  />
Compare Match when down-counting. </p>

</div>
</div>
<a id="a445898c4f7169ec04dd6dca2049cb68f" name="a445898c4f7169ec04dd6dca2049cb68f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a445898c4f7169ec04dd6dca2049cb68f">&#9670;&#160;</a></span>KM_TCC5_C_PWM_COMP_OUT_TOGGLE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define KM_TCC5_C_PWM_COMP_OUT_TOGGLE&#160;&#160;&#160;(				_BV(COM5C0)	)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Fast PWM / Phase Accurate PWM <br  />
WGM02 = 0: Normal Port Operation, OC3C Disconnected <br  />
WGM02 = 1: Toggle OC3C on Compare Match </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="km_timer5_defs_8h.html">kmTimer5Defs.h</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.12.0 </li>
  </ul>
</div>
</body>
</html>
